Summary:        A library to read Metalink XML download description format
Name:           libmetalink
Version:        0.1.3
Release:        4%{?dist}
License:        MIT
URL:            https://github.com/metalink-dev/%{name}
Source0:        %{url}/releases/download/release-%{version}/%{name}-%{version}.tar.gz

#Patch3001~3002 are from fedora
# https://bugs.launchpad.net/libmetalink/+bug/1888672
Patch3001:      https://bugs.launchpad.net/libmetalink/+bug/1888672/+attachment/5395227/+files/libmetalink-0.1.3-ns_uri.patch
# https://github.com/metalink-dev/libmetalink/pull/2
Patch3002:      https://bugs.launchpad.net/libmetalink/+bug/1784359/+attachment/5169495/+files/0001-fix-covscan-issues.patch

BuildRequires:  gcc make autoconf automake libtool
BuildRequires:  pkgconfig(expat) pkgconfig(cunit) pkgconfig(libxml-2.0)

%description
Libmetalink is a library to read Metalink XML download description format. 


%package        devel
Summary:        Libraries and header files of %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package provides libraries and header files of %{name},and also
the pkgconfig file .


%prep
%autosetup -p1


%build
autoreconf -ivf
%configure --disable-static
%make_build


%check
%make_build check


%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la


%files
%license COPYING
%doc README NEWS ChangeLog AUTHORS
%{_libdir}/libmetalink.so.3*


%files devel
%{_includedir}/metalink/*.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/metalink*.3.gz


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.3-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jul 22 2022 doriscchao <doriscchao@tencent.com> - 0.1.3-1
- initial build, Version 0.1.3, Release 1
